Package org.apache.sling.feature.cpconverter.handlers.slinginitialcontent.readers

## Class XMLReader

- java.lang.Object
- - org.apache.sling.jcr.contentloader.internal.readers.XmlReader
  - - org.apache.sling.feature.cpconverter.handlers.slinginitialcontent.readers.XMLReader

All Implemented Interfaces:
  `org.apache.sling.jcr.contentloader.ContentReader`

    public class XMLReader
    extends org.apache.sling.jcr.contentloader.internal.readers.XmlReader

Extends the XMLReader to perform the activate method on construction, since it's protected.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.sling.jcr.contentloader.internal.readers.XmlReader

`org.apache.sling.jcr.contentloader.internal.readers.XmlReader.AttributeMap, org.apache.sling.jcr.contentloader.internal.readers.XmlReader.FileDescription, org.apache.sling.jcr.contentloader.internal.readers.XmlReader.NodeDescription, org.apache.sling.jcr.contentloader.internal.readers.XmlReader.PropertyDescription`

### Field Summary

### Fields inherited from interface org.apache.sling.jcr.contentloader.ContentReader

`PROPERTY_EXTENSIONS, PROPERTY_TYPES`

### Constructor Summary

Constructors
`XMLReader()`

### Method Summary

### Methods inherited from class org.apache.sling.jcr.contentloader.internal.readers.XmlReader

`activate, parse, parse`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLReader

    public XMLReader()